RedHat: RHSA-2022-7242:01 Important: Satellite 6.11.4 Async Securit...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: Satellite 6.11.4 Async Security Update
Advisory ID:       RHSA-2022:7242-01
Product:           Red Hat Satellite 6
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:7242
Issue date:        2022-10-27
CVE Names:         CVE-2022-30122 CVE-2022-31163 
=====================================================================

1. Summary:

Updated Satellite 6.11 packages that fix several bugs are now available for
Red Hat Satellite.

2. Relevant releases/architectures:

Red Hat Satellite 6.11 for RHEL 7 - noarch
Red Hat Satellite 6.11 for RHEL 8 - noarch

3. Description:

Red Hat Satellite is a system management solution that allows organizations
to configure and maintain their systems without the necessity to provide
public Internet access to their servers or other client systems. It
performs provisioning and configuration management of predefined standard
operating environments.

This update fixes the following bugs:

2131757 - Enhance foreman-rake katello:correct_repositories to handle
Katello::Errors::CandlepinError: Unable to find content with the ID
"xxxxxxxxxxx".
2131759 - RHEL 9 provisioned host goes into emergency mode after initial
reboot
2131761 - hammer cannot use the cluster name or id as valid input when
clusters are residing inside folders and fails with error
Fog::Vsphere::Compute::NotFound error
2131763 - Running "satellite-maintain self-upgrade" on a Satellite\Capsule
6.11.1.1 fails with error "Error:
'satellite-maintenance-6.11.2-for-rhel-8-x86_64-rpms' does not match a
valid repository ID"
2131769 - Post upgrade to 6.11.z, DHCP error with wrong number of arguments
for validate_supported_address
2131771 - With every edit of an exising webhook, the value in password
field disappears in Satellite 6.10/6.11/6.12
2131773 - foreman-maintain still enables ansible-2.9-for-rhel-8-x86_64-rpms
repository for running an update to 6.11.z when no packages are installed
from that repository
2131776 - please update to Satellite Ansible Collection 3.6.0
2131781 - 'candlepin-validate-db' pre-upgrade check fails with "Could not
open SSL root certificate file /root/.postgresql/root.crt" error for
external DB setup with SSL
2131788 - Documentation bug for the compute_resource module
2131790 - [BUG] Invalid choice for template_kind listed for
os_default_template module
2132075 - CVE-2022-31163 tfm-rubygem-tzinfo: rubygem-tzinfo: arbitrary code
execution [rhn_satellite_6.11]
2132076 - CVE-2022-31163 rubygem-tzinfo: rubygem-tzinfo: arbitrary code
execution [rhn_satellite_6.11]
2132079 - CVE-2022-30122 rubygem-rack: crafted multipart POST request may
cause a DoS [rhn_satellite_6-default]
2122205 - Package "python3-pulp_manifest" is not available in Satellite
Utils repository
2132999 - Satellite cannot be installed on RHEL 8.7 

CVEs

CVE-2022-30122
CVE-2022-31163

Users of Red Hat Satellite are advised to upgrade to these updated
packages, which fix these bugs.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For detailed instructions how to apply this update, refer to:

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.11/html/upgrading_and_updating_red_hat_satellite/index

5. Bugs fixed (https://bugzilla.redhat.com/):

2099519 - CVE-2022-30122 rubygem-rack: crafted multipart POST request may cause a DoS
2110551 - CVE-2022-31163 rubygem-tzinfo: arbitrary code execution
2122205 - Package "python3-pulp_manifest" is not available in Satellite Utils repository
2131757 - Enhance foreman-rake katello:correct_repositories to handle Katello::Errors::CandlepinError: Unable to find content with the ID "xxxxxxxxxxx".
2131759 - RHEL 9 provisioned host goes into emergency mode after initial reboot
2131761 - hammer cannot  use the cluster name or id as valid input when clusters are residing inside folders and fails with error Fog::Vsphere::Compute::NotFound error
2131763 - Running "satellite-maintain self-upgrade" on a Satellite\Capsule 6.11.1.1 fails with error "Error: 'satellite-maintenance-6.11.2-for-rhel-8-x86_64-rpms' does not match a valid repository ID"
2131769 - Post upgrade to 6.11.z, DHCP error with wrong number of arguments for validate_supported_address
2131771 - With every edit of an exising webhook, the value in password field disappears in Satellite 6.10/6.11/6.12
2131773 - foreman-maintain still enables ansible-2.9-for-rhel-8-x86_64-rpms repository for running an update to 6.11.z when no packages are installed from that repository
2131776 - please update to Satellite Ansible Collection 3.6.0
2131781 - 'candlepin-validate-db' pre-upgrade check fails with "Could not open SSL root certificate file /root/.postgresql/root.crt" error for external DB setup with SSL
2131788 - Documentation bug for the compute_resource module
2131790 - [BUG] Invalid choice for template_kind listed for os_default_template module
2132999 - Satellite can not be installed on RHEL 8.7

6. Package List:

Red Hat Satellite 6.11 for RHEL 7:

Source:
ansible-collection-redhat-satellite-3.6.0-3.el7sat.src.rpm
foreman-3.1.1.25-1.el7sat.src.rpm
foreman-proxy-3.1.1.3-1.el7sat.src.rpm
rubygem-foreman_maintain-1.0.18-1.el7sat.src.rpm
satellite-6.11.4-2.el7sat.src.rpm
tfm-rubygem-foreman_webhooks-2.0.3-1.el7sat.src.rpm
tfm-rubygem-katello-4.3.0.50-1.el7sat.src.rpm
tfm-rubygem-rack-2.2.3.1-1.el7sat.src.rpm
tfm-rubygem-smart_proxy_ansible-3.3.1-4.el7sat.src.rpm
tfm-rubygem-tzinfo-1.2.10-1.el7sat.src.rpm

noarch:
ansible-collection-redhat-satellite-3.6.0-3.el7sat.noarch.rpm
foreman-3.1.1.25-1.el7sat.noarch.rpm
foreman-cli-3.1.1.25-1.el7sat.noarch.rpm
foreman-debug-3.1.1.25-1.el7sat.noarch.rpm
foreman-dynflow-sidekiq-3.1.1.25-1.el7sat.noarch.rpm
foreman-ec2-3.1.1.25-1.el7sat.noarch.rpm
foreman-gce-3.1.1.25-1.el7sat.noarch.rpm
foreman-journald-3.1.1.25-1.el7sat.noarch.rpm
foreman-libvirt-3.1.1.25-1.el7sat.noarch.rpm
foreman-openstack-3.1.1.25-1.el7sat.noarch.rpm
foreman-ovirt-3.1.1.25-1.el7sat.noarch.rpm
foreman-postgresql-3.1.1.25-1.el7sat.noarch.rpm
foreman-proxy-3.1.1.3-1.el7sat.noarch.rpm
foreman-proxy-journald-3.1.1.3-1.el7sat.noarch.rpm
foreman-service-3.1.1.25-1.el7sat.noarch.rpm
foreman-telemetry-3.1.1.25-1.el7sat.noarch.rpm
foreman-vmware-3.1.1.25-1.el7sat.noarch.rpm
rubygem-foreman_maintain-1.0.18-1.el7sat.noarch.rpm
satellite-6.11.4-2.el7sat.noarch.rpm
satellite-cli-6.11.4-2.el7sat.noarch.rpm
satellite-common-6.11.4-2.el7sat.noarch.rpm
tfm-rubygem-foreman_webhooks-2.0.3-1.el7sat.noarch.rpm
tfm-rubygem-katello-4.3.0.50-1.el7sat.noarch.rpm
tfm-rubygem-rack-2.2.3.1-1.el7sat.noarch.rpm
tfm-rubygem-smart_proxy_ansible-3.3.1-4.el7sat.noarch.rpm
tfm-rubygem-tzinfo-1.2.10-1.el7sat.noarch.rpm

Red Hat Satellite 6.11 for RHEL 7:

Source:
ansible-collection-redhat-satellite-3.6.0-3.el7sat.src.rpm
foreman-3.1.1.25-1.el7sat.src.rpm
foreman-proxy-3.1.1.3-1.el7sat.src.rpm
rubygem-foreman_maintain-1.0.18-1.el7sat.src.rpm
satellite-6.11.4-2.el7sat.src.rpm
tfm-rubygem-rack-2.2.3.1-1.el7sat.src.rpm
tfm-rubygem-smart_proxy_ansible-3.3.1-4.el7sat.src.rpm

noarch:
ansible-collection-redhat-satellite-3.6.0-3.el7sat.noarch.rpm
foreman-debug-3.1.1.25-1.el7sat.noarch.rpm
foreman-proxy-3.1.1.3-1.el7sat.noarch.rpm
foreman-proxy-journald-3.1.1.3-1.el7sat.noarch.rpm
rubygem-foreman_maintain-1.0.18-1.el7sat.noarch.rpm
satellite-capsule-6.11.4-2.el7sat.noarch.rpm
satellite-common-6.11.4-2.el7sat.noarch.rpm
tfm-rubygem-rack-2.2.3.1-1.el7sat.noarch.rpm
tfm-rubygem-smart_proxy_ansible-3.3.1-4.el7sat.noarch.rpm

Red Hat Satellite 6.11 for RHEL 7:

Source:
rubygem-foreman_maintain-1.0.18-1.el7sat.src.rpm

noarch:
rubygem-foreman_maintain-1.0.18-1.el7sat.noarch.rpm

Red Hat Satellite 6.11 for RHEL 7:

Source:
foreman-3.1.1.25-1.el7sat.src.rpm
satellite-6.11.4-2.el7sat.src.rpm

noarch:
foreman-cli-3.1.1.25-1.el7sat.noarch.rpm
satellite-cli-6.11.4-2.el7sat.noarch.rpm

Red Hat Satellite 6.11 for RHEL 8:

Source:
ansible-collection-redhat-satellite-3.6.0-3.el8sat.src.rpm
foreman-3.1.1.25-1.el8sat.src.rpm
foreman-proxy-3.1.1.3-1.el8sat.src.rpm
rubygem-foreman_maintain-1.0.18-1.el8sat.src.rpm
rubygem-foreman_webhooks-2.0.3-1.el8sat.src.rpm
rubygem-katello-4.3.0.50-1.el8sat.src.rpm
rubygem-rack-2.2.3.1-1.el8sat.src.rpm
rubygem-smart_proxy_ansible-3.3.1-4.el8sat.src.rpm
rubygem-tzinfo-1.2.10-1.el8sat.src.rpm
satellite-6.11.4-2.el8sat.src.rpm

noarch:
ansible-collection-redhat-satellite-3.6.0-3.el8sat.noarch.rpm
foreman-3.1.1.25-1.el8sat.noarch.rpm
foreman-cli-3.1.1.25-1.el8sat.noarch.rpm
foreman-debug-3.1.1.25-1.el8sat.noarch.rpm
foreman-dynflow-sidekiq-3.1.1.25-1.el8sat.noarch.rpm
foreman-ec2-3.1.1.25-1.el8sat.noarch.rpm
foreman-gce-3.1.1.25-1.el8sat.noarch.rpm
foreman-journald-3.1.1.25-1.el8sat.noarch.rpm
foreman-libvirt-3.1.1.25-1.el8sat.noarch.rpm
foreman-openstack-3.1.1.25-1.el8sat.noarch.rpm
foreman-ovirt-3.1.1.25-1.el8sat.noarch.rpm
foreman-postgresql-3.1.1.25-1.el8sat.noarch.rpm
foreman-proxy-3.1.1.3-1.el8sat.noarch.rpm
foreman-proxy-journald-3.1.1.3-1.el8sat.noarch.rpm
foreman-service-3.1.1.25-1.el8sat.noarch.rpm
foreman-telemetry-3.1.1.25-1.el8sat.noarch.rpm
foreman-vmware-3.1.1.25-1.el8sat.noarch.rpm
rubygem-foreman_maintain-1.0.18-1.el8sat.noarch.rpm
rubygem-foreman_webhooks-2.0.3-1.el8sat.noarch.rpm
rubygem-katello-4.3.0.50-1.el8sat.noarch.rpm
rubygem-rack-2.2.3.1-1.el8sat.noarch.rpm
rubygem-smart_proxy_ansible-3.3.1-4.el8sat.noarch.rpm
rubygem-tzinfo-1.2.10-1.el8sat.noarch.rpm
satellite-6.11.4-2.el8sat.noarch.rpm
satellite-cli-6.11.4-2.el8sat.noarch.rpm
satellite-common-6.11.4-2.el8sat.noarch.rpm

Red Hat Satellite 6.11 for RHEL 8:

Source:
ansible-collection-redhat-satellite-3.6.0-3.el8sat.src.rpm
foreman-3.1.1.25-1.el8sat.src.rpm
foreman-proxy-3.1.1.3-1.el8sat.src.rpm
rubygem-foreman_maintain-1.0.18-1.el8sat.src.rpm
rubygem-rack-2.2.3.1-1.el8sat.src.rpm
rubygem-smart_proxy_ansible-3.3.1-4.el8sat.src.rpm
satellite-6.11.4-2.el8sat.src.rpm

noarch:
ansible-collection-redhat-satellite-3.6.0-3.el8sat.noarch.rpm
foreman-debug-3.1.1.25-1.el8sat.noarch.rpm
foreman-proxy-3.1.1.3-1.el8sat.noarch.rpm
foreman-proxy-journald-3.1.1.3-1.el8sat.noarch.rpm
rubygem-foreman_maintain-1.0.18-1.el8sat.noarch.rpm
rubygem-rack-2.2.3.1-1.el8sat.noarch.rpm
rubygem-smart_proxy_ansible-3.3.1-4.el8sat.noarch.rpm
satellite-capsule-6.11.4-2.el8sat.noarch.rpm
satellite-common-6.11.4-2.el8sat.noarch.rpm

Red Hat Satellite 6.11 for RHEL 8:

Source:
rubygem-foreman_maintain-1.0.18-1.el8sat.src.rpm

noarch:
rubygem-foreman_maintain-1.0.18-1.el8sat.noarch.rpm

Red Hat Satellite 6.11 for RHEL 8:

Source:
foreman-3.1.1.25-1.el8sat.src.rpm
satellite-6.11.4-2.el8sat.src.rpm

noarch:
foreman-cli-3.1.1.25-1.el8sat.noarch.rpm
satellite-cli-6.11.4-2.el8sat.noarch.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-30122
https://access.redhat.com/security/cve/CVE-2022-31163
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY1x5r9zjgjWX9erEAQjXQxAAolWh8sB4dDeOoKZSBue6Qp0RB+ezwIXk
DgyNVDmcQ6NWqMJAgaFDB5zP2jGZ/wKT7eMkehZP37GDkgwjQu1Aj/geZXJB2k20
pJxawoWER5Llle0exahCWBqLDO2SL6INqZmjd+RCpu4OmIBcuIn962kC1Fa+qaCV
Kr0Rlh4jgbNtmD9EFTD2CzXTlCKBVeiUKmYzfe24Eg3JRQFdSqLEJujpw1aQiHbW
lHii7TCU2sGdj70W1FLLuaaA6PgfCH6lQOh/W0esVxMZXEaCYJLc/yRHyamOkSJ2
Ge7fDFkeLFzSeZsFD87TokFUSGFpb5xa4Q1Rj+Z9P/sdPDdCYEG2zI9jn54raljm
IigbMdDUZMuhvk6eW9Kj0iUAolLDBKpkHGQzKK57MIwnOkcfSOigCvCrrZsMy5lo
HK7DCWXqXAO++KLzLI41i3cZIS2/LDyZyfydxCwsxRjZeN+7CWlRUiOTDZ3KgXDS
dg/8FIFkMlGGStH4rUcj1gk8AeshkjKz8hyetSstprrq+aHsvHpGDFK0zAl8lJ0j
KFcEoCc/8dYGalqHBVrYcrE2texU1IXm8UpaYKX51b/64qDPnN7joniYdQ8uqC2l
6gZPvnKtM9mNmS0sOEd1fa4ko93/KuPctUp1ShavhZvMroNUMcqqyIDNL8P/uJry
mxuJXbi/N5w=
=/Dkb
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-7242:01 Important: Satellite 6.11.4 Async Security Update

Updated Satellite 6.11 packages that fix several bugs are now available for Red Hat Satellite

Summary

Red Hat Satellite is a system management solution that allows organizations to configure and maintain their systems without the necessity to provide public Internet access to their servers or other client systems. It performs provisioning and configuration management of predefined standard operating environments.
This update fixes the following bugs:
2131757 - Enhance foreman-rake katello:correct_repositories to handle Katello::Errors::CandlepinError: Unable to find content with the ID "xxxxxxxxxxx". 2131759 - RHEL 9 provisioned host goes into emergency mode after initial reboot 2131761 - hammer cannot use the cluster name or id as valid input when clusters are residing inside folders and fails with error Fog::Vsphere::Compute::NotFound error 2131763 - Running "satellite-maintain self-upgrade" on a Satellite\Capsule 6.11.1.1 fails with error "Error: 'satellite-maintenance-6.11.2-for-rhel-8-x86_64-rpms' does not match a valid repository ID" 2131769 - Post upgrade to 6.11.z, DHCP error with wrong number of arguments for validate_supported_address 2131771 - With every edit of an exising webhook, the value in password field disappears in Satellite 6.10/6.11/6.12 2131773 - foreman-maintain still enables ansible-2.9-for-rhel-8-x86_64-rpms repository for running an update to 6.11.z when no packages are installed from that repository 2131776 - please update to Satellite Ansible Collection 3.6.0 2131781 - 'candlepin-validate-db' pre-upgrade check fails with "Could not open SSL root certificate file /root/.postgresql/root.crt" error for external DB setup with SSL 2131788 - Documentation bug for the compute_resource module 2131790 - [BUG] Invalid choice for template_kind listed for os_default_template module 2132075 - CVE-2022-31163 tfm-rubygem-tzinfo: rubygem-tzinfo: arbitrary code execution [rhn_satellite_6.11] 2132076 - CVE-2022-31163 rubygem-tzinfo: rubygem-tzinfo: arbitrary code execution [rhn_satellite_6.11] 2132079 - CVE-2022-30122 rubygem-rack: crafted multipart POST request may cause a DoS [rhn_satellite_6-default] 2122205 - Package "python3-pulp_manifest" is not available in Satellite Utils repository 2132999 - Satellite cannot be installed on RHEL 8.7
CVEs
CVE-2022-30122 CVE-2022-31163
Users of Red Hat Satellite are advised to upgrade to these updated packages, which fix these bugs.

Solution

Before applying this update, make sure all previously released erratarelevant to your system have been applied.For detailed instructions how to apply this update, refer to:https://access.redhat.com/documentation/en-us/red_hat_satellite/6.11/html/upgrading_and_updating_red_hat_satellite/index

References

https://access.redhat.com/security/cve/CVE-2022-30122 https://access.redhat.com/security/cve/CVE-2022-31163 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Satellite 6.11 for RHEL 7:
Source: ansible-collection-redhat-satellite-3.6.0-3.el7sat.src.rpm foreman-3.1.1.25-1.el7sat.src.rpm foreman-proxy-3.1.1.3-1.el7sat.src.rpm rubygem-foreman_maintain-1.0.18-1.el7sat.src.rpm satellite-6.11.4-2.el7sat.src.rpm tfm-rubygem-foreman_webhooks-2.0.3-1.el7sat.src.rpm tfm-rubygem-katello-4.3.0.50-1.el7sat.src.rpm tfm-rubygem-rack-2.2.3.1-1.el7sat.src.rpm tfm-rubygem-smart_proxy_ansible-3.3.1-4.el7sat.src.rpm tfm-rubygem-tzinfo-1.2.10-1.el7sat.src.rpm
noarch: ansible-collection-redhat-satellite-3.6.0-3.el7sat.noarch.rpm foreman-3.1.1.25-1.el7sat.noarch.rpm foreman-cli-3.1.1.25-1.el7sat.noarch.rpm foreman-debug-3.1.1.25-1.el7sat.noarch.rpm foreman-dynflow-sidekiq-3.1.1.25-1.el7sat.noarch.rpm foreman-ec2-3.1.1.25-1.el7sat.noarch.rpm foreman-gce-3.1.1.25-1.el7sat.noarch.rpm foreman-journald-3.1.1.25-1.el7sat.noarch.rpm foreman-libvirt-3.1.1.25-1.el7sat.noarch.rpm foreman-openstack-3.1.1.25-1.el7sat.noarch.rpm foreman-ovirt-3.1.1.25-1.el7sat.noarch.rpm foreman-postgresql-3.1.1.25-1.el7sat.noarch.rpm foreman-proxy-3.1.1.3-1.el7sat.noarch.rpm foreman-proxy-journald-3.1.1.3-1.el7sat.noarch.rpm foreman-service-3.1.1.25-1.el7sat.noarch.rpm foreman-telemetry-3.1.1.25-1.el7sat.noarch.rpm foreman-vmware-3.1.1.25-1.el7sat.noarch.rpm rubygem-foreman_maintain-1.0.18-1.el7sat.noarch.rpm satellite-6.11.4-2.el7sat.noarch.rpm satellite-cli-6.11.4-2.el7sat.noarch.rpm satellite-common-6.11.4-2.el7sat.noarch.rpm tfm-rubygem-foreman_webhooks-2.0.3-1.el7sat.noarch.rpm tfm-rubygem-katello-4.3.0.50-1.el7sat.noarch.rpm tfm-rubygem-rack-2.2.3.1-1.el7sat.noarch.rpm tfm-rubygem-smart_proxy_ansible-3.3.1-4.el7sat.noarch.rpm tfm-rubygem-tzinfo-1.2.10-1.el7sat.noarch.rpm
Red Hat Satellite 6.11 for RHEL 7:
Source: ansible-collection-redhat-satellite-3.6.0-3.el7sat.src.rpm foreman-3.1.1.25-1.el7sat.src.rpm foreman-proxy-3.1.1.3-1.el7sat.src.rpm rubygem-foreman_maintain-1.0.18-1.el7sat.src.rpm satellite-6.11.4-2.el7sat.src.rpm tfm-rubygem-rack-2.2.3.1-1.el7sat.src.rpm tfm-rubygem-smart_proxy_ansible-3.3.1-4.el7sat.src.rpm
noarch: ansible-collection-redhat-satellite-3.6.0-3.el7sat.noarch.rpm foreman-debug-3.1.1.25-1.el7sat.noarch.rpm foreman-proxy-3.1.1.3-1.el7sat.noarch.rpm foreman-proxy-journald-3.1.1.3-1.el7sat.noarch.rpm rubygem-foreman_maintain-1.0.18-1.el7sat.noarch.rpm satellite-capsule-6.11.4-2.el7sat.noarch.rpm satellite-common-6.11.4-2.el7sat.noarch.rpm tfm-rubygem-rack-2.2.3.1-1.el7sat.noarch.rpm tfm-rubygem-smart_proxy_ansible-3.3.1-4.el7sat.noarch.rpm
Red Hat Satellite 6.11 for RHEL 7:
Source: rubygem-foreman_maintain-1.0.18-1.el7sat.src.rpm
noarch: rubygem-foreman_maintain-1.0.18-1.el7sat.noarch.rpm
Red Hat Satellite 6.11 for RHEL 7:
Source: foreman-3.1.1.25-1.el7sat.src.rpm satellite-6.11.4-2.el7sat.src.rpm
noarch: foreman-cli-3.1.1.25-1.el7sat.noarch.rpm satellite-cli-6.11.4-2.el7sat.noarch.rpm
Red Hat Satellite 6.11 for RHEL 8:
Source: ansible-collection-redhat-satellite-3.6.0-3.el8sat.src.rpm foreman-3.1.1.25-1.el8sat.src.rpm foreman-proxy-3.1.1.3-1.el8sat.src.rpm rubygem-foreman_maintain-1.0.18-1.el8sat.src.rpm rubygem-foreman_webhooks-2.0.3-1.el8sat.src.rpm rubygem-katello-4.3.0.50-1.el8sat.src.rpm rubygem-rack-2.2.3.1-1.el8sat.src.rpm rubygem-smart_proxy_ansible-3.3.1-4.el8sat.src.rpm rubygem-tzinfo-1.2.10-1.el8sat.src.rpm satellite-6.11.4-2.el8sat.src.rpm
noarch: ansible-collection-redhat-satellite-3.6.0-3.el8sat.noarch.rpm foreman-3.1.1.25-1.el8sat.noarch.rpm foreman-cli-3.1.1.25-1.el8sat.noarch.rpm foreman-debug-3.1.1.25-1.el8sat.noarch.rpm foreman-dynflow-sidekiq-3.1.1.25-1.el8sat.noarch.rpm foreman-ec2-3.1.1.25-1.el8sat.noarch.rpm foreman-gce-3.1.1.25-1.el8sat.noarch.rpm foreman-journald-3.1.1.25-1.el8sat.noarch.rpm foreman-libvirt-3.1.1.25-1.el8sat.noarch.rpm foreman-openstack-3.1.1.25-1.el8sat.noarch.rpm foreman-ovirt-3.1.1.25-1.el8sat.noarch.rpm foreman-postgresql-3.1.1.25-1.el8sat.noarch.rpm foreman-proxy-3.1.1.3-1.el8sat.noarch.rpm foreman-proxy-journald-3.1.1.3-1.el8sat.noarch.rpm foreman-service-3.1.1.25-1.el8sat.noarch.rpm foreman-telemetry-3.1.1.25-1.el8sat.noarch.rpm foreman-vmware-3.1.1.25-1.el8sat.noarch.rpm rubygem-foreman_maintain-1.0.18-1.el8sat.noarch.rpm rubygem-foreman_webhooks-2.0.3-1.el8sat.noarch.rpm rubygem-katello-4.3.0.50-1.el8sat.noarch.rpm rubygem-rack-2.2.3.1-1.el8sat.noarch.rpm rubygem-smart_proxy_ansible-3.3.1-4.el8sat.noarch.rpm rubygem-tzinfo-1.2.10-1.el8sat.noarch.rpm satellite-6.11.4-2.el8sat.noarch.rpm satellite-cli-6.11.4-2.el8sat.noarch.rpm satellite-common-6.11.4-2.el8sat.noarch.rpm
Red Hat Satellite 6.11 for RHEL 8:
Source: ansible-collection-redhat-satellite-3.6.0-3.el8sat.src.rpm foreman-3.1.1.25-1.el8sat.src.rpm foreman-proxy-3.1.1.3-1.el8sat.src.rpm rubygem-foreman_maintain-1.0.18-1.el8sat.src.rpm rubygem-rack-2.2.3.1-1.el8sat.src.rpm rubygem-smart_proxy_ansible-3.3.1-4.el8sat.src.rpm satellite-6.11.4-2.el8sat.src.rpm
noarch: ansible-collection-redhat-satellite-3.6.0-3.el8sat.noarch.rpm foreman-debug-3.1.1.25-1.el8sat.noarch.rpm foreman-proxy-3.1.1.3-1.el8sat.noarch.rpm foreman-proxy-journald-3.1.1.3-1.el8sat.noarch.rpm rubygem-foreman_maintain-1.0.18-1.el8sat.noarch.rpm rubygem-rack-2.2.3.1-1.el8sat.noarch.rpm rubygem-smart_proxy_ansible-3.3.1-4.el8sat.noarch.rpm satellite-capsule-6.11.4-2.el8sat.noarch.rpm satellite-common-6.11.4-2.el8sat.noarch.rpm
Red Hat Satellite 6.11 for RHEL 8:
Source: rubygem-foreman_maintain-1.0.18-1.el8sat.src.rpm
noarch: rubygem-foreman_maintain-1.0.18-1.el8sat.noarch.rpm
Red Hat Satellite 6.11 for RHEL 8:
Source: foreman-3.1.1.25-1.el8sat.src.rpm satellite-6.11.4-2.el8sat.src.rpm
noarch: foreman-cli-3.1.1.25-1.el8sat.noarch.rpm satellite-cli-6.11.4-2.el8sat.noarch.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:7242-01
Product: Red Hat Satellite 6
Advisory URL: https://access.redhat.com/errata/RHSA-2022:7242
Issued Date: : 2022-10-27
CVE Names: CVE-2022-30122 CVE-2022-31163

Topic

Updated Satellite 6.11 packages that fix several bugs are now available forRed Hat Satellite.

Relevant Releases Architectures

Red Hat Satellite 6.11 for RHEL 7 - noarch

Red Hat Satellite 6.11 for RHEL 8 - noarch

Bugs Fixed

2099519 - CVE-2022-30122 rubygem-rack: crafted multipart POST request may cause a DoS

2110551 - CVE-2022-31163 rubygem-tzinfo: arbitrary code execution

2122205 - Package "python3-pulp_manifest" is not available in Satellite Utils repository

2131757 - Enhance foreman-rake katello:correct_repositories to handle Katello::Errors::CandlepinError: Unable to find content with the ID "xxxxxxxxxxx".

2131759 - RHEL 9 provisioned host goes into emergency mode after initial reboot

2131761 - hammer cannot use the cluster name or id as valid input when clusters are residing inside folders and fails with error Fog::Vsphere::Compute::NotFound error

2131763 - Running "satellite-maintain self-upgrade" on a Satellite\Capsule 6.11.1.1 fails with error "Error: 'satellite-maintenance-6.11.2-for-rhel-8-x86_64-rpms' does not match a valid repository ID"

2131769 - Post upgrade to 6.11.z, DHCP error with wrong number of arguments for validate_supported_address

2131771 - With every edit of an exising webhook, the value in password field disappears in Satellite 6.10/6.11/6.12

2131773 - foreman-maintain still enables ansible-2.9-for-rhel-8-x86_64-rpms repository for running an update to 6.11.z when no packages are installed from that repository

2131776 - please update to Satellite Ansible Collection 3.6.0

2131781 - 'candlepin-validate-db' pre-upgrade check fails with "Could not open SSL root certificate file /root/.postgresql/root.crt" error for external DB setup with SSL

2131788 - Documentation bug for the compute_resource module

2131790 - [BUG] Invalid choice for template_kind listed for os_default_template module

2132999 - Satellite can not be installed on RHEL 8.7

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.